//
//  Department.h
//  StudentManager
//
//  Created by Richard Wicentowski on 2/23/11.
//  Copyright 2011 Swarthmore College. All rights reserved.
//

#import <CoreData/CoreData.h>

@class Student;

@interface Department :  NSManagedObject  
{
}

@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSSet* majors;

+ (Department *)departmentWithName:(NSString *)deptName inManagedObjectContext:(NSManagedObjectContext *)context;
- (NSString *)sectionName;

@end




@interface Department (CoreDataGeneratedAccessors)
- (void)addMajorsObject:(Student *)value;
- (void)removeMajorsObject:(Student *)value;
- (void)addMajors:(NSSet *)value;
- (void)removeMajors:(NSSet *)value;

@end

