//
//  Student.h
//  StudentManager
//
//  Created by Richard Wicentowski on 2/23/11.
//  Copyright 2011 Swarthmore College. All rights reserved.
//

#import <CoreData/CoreData.h>
#import "Department.h"

@interface Student :  NSManagedObject  
{
}

@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSNumber * gradYear;
@property (nonatomic, retain) Department * majorDepartment;


- (NSString *)sectionName;
- (NSString *)titleKey;
+ (Student *)studentWithName:(NSString *)studentName year:(NSNumber *)year inManagedObjectContext:(NSManagedObjectContext *)context;



@end



